#include "global.h"


void print_hexX(uint8_t x){
  x &= 0x0f;
  if (x>=10)
    uartSendChar(x+'a'-10);
  else
    uartSendChar(x+'0');
}

void print_hexXX(uint8_t i){
  print_hexX(i>>4);
  print_hexX(i);
}

void longDelay(uint16_t ms){
    for(; ms>0; ms--) _delay_ms(1);
}

void printReg(uint8_t reg){
  uartSendString("\r\n Register 0x");
  print_hexXX(reg);
  uartSendString(": ");
	print_hexXX(sendSingleMode(reg,00,0));
}

void printRegValues(void){
  printReg(0x02);
  printReg(0x03);
  printReg(0x04);
  printReg(0x05);
  printReg(0x06);
  printReg(0x07);
  printReg(0x08);
  printReg(0x09);
  printReg(0x0B);
  printReg(0x0D);
  printReg(0x0E);
  printReg(0x0F);
  printReg(0x10);
  printReg(0x11);
  printReg(0x12);
  printReg(0x13);
  printReg(0x18);
  printReg(0x19);
  printReg(0x1A);
  printReg(0x1B);
  printReg(0x1C);
  printReg(0x1D);
  printReg(0x1E);
  printReg(0x1F);
  printReg(0x20);
  printReg(0x21);
  printReg(0x22);
  printReg(0x23);
  printReg(0x24);
  printReg(0x25);
  printReg(0x26);
  printReg(0x29);
  printReg(0x2A);
  printReg(0x2B);
  printReg(0x2C);
  printReg(0x2D);
  printReg(0x2E);
  printReg(0x2F);
  printReg(0x30);
  printReg(0x31);
  printReg(0x32);
  printReg(0x33);
  printReg(0x34);
  printReg(0x35);
  printReg(0x36);
  printReg(0x37);
  printReg(0x38);
  printReg(0x39);
  printReg(0x3A);
  printReg(0x3B);
  printReg(0x3C);
  printReg(0x3D);
  printReg(0x4E);
  printReg(0x4F);
  printReg(0x58);
  printReg(0x5A);
  printReg(0x5C);
  printReg(0x6F);
  printReg(0x71);
}
