#ifndef GLOBAL_H_
#define GLOBAL_H_


#define F_CPU 3686400UL
//#define F_CPU 8000000UL
//#define F_CPU 16000000UL
#define BAUD 9600UL

#define UBRR_VAL ((F_CPU+BAUD*8)/(BAUD*16)-1)

#include <avr/io.h>
#include <util/delay.h>
//#include <avr/interrupt.h>
#include "uart.h"
#include "spi.h"
#include "rfm69.h"




void print_hexX(uint8_t x);
void print_hexXX(uint8_t i);
void longDelay(uint16_t ms);
void printReg(uint8_t reg);
void printRegValues(void);



#endif
